@import "variables";
@import "reset";
@import "fonts";
@import "typography";

* {
	outline: none;
	box-sizing: border-box;
}

html,
body {
	background-color: #fff;
	scroll-behavior: smooth;
}

body {
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	padding-top: var(--header-height, 141px);
}

.content {
	flex: 1 0 auto;
}

svg.icon {
	width: 20px;
}

.visually-hidden {
	position: absolute;
	clip: rect(0 0 0 0);
	width: 1px;
	height: 1px;
	margin: -1px;
}

.hidden {
	display: none !important;
}

picture {
	img {
		filter: blur(0);
		transition-property: filter;
		transition-duration: 0.3s;
	}
}

.lazy {
	img {
		// width: 100%; // may need to rework this solution
		filter: blur(10px);
	}
}
